/*-----------------------------------------------------------------------------
    Name: Flow
    Generated By: This is an auto generated script. You can, however, make a copy of this script using advanced script manager and enhance it.
    Date of generation: 03/25/2021 01:38:34
    Flow details:
    Build details: 4.6.0 (build# 34)
    Modification History:
-----------------------------------------------------------------------------*/

package com.cavisson.scripts.Scenario_032521132750_Flow_1;
import pacJnvmApi.NSApi;



public class Flow implements NsFlow
{
    public int execute(NSApi nsApi) throws Exception
    {
        int status = 0;

        nsApi.ns_start_transaction("Transaction_2");
        nsApi.ns_web_url ("Transaction_2",
        "URL=http://10.10.30.41:9055/tours/index.html",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Transaction_2", NS_AUTO_STATUS);

        return status;
    }
}
